<?php

namespace App\Filament\Widgets;

use Filament\Widgets\StatsOverviewWidget as BaseWidget;
use Filament\Widgets\StatsOverviewWidget\Stat;
use App\Models\AiModel;
use App\Models\ApiProvider;
use App\Models\Style;

class AppStatsOverview extends BaseWidget
{
    protected function getCards(): array
    {
        return [
            Stat::make('Anzahl AI Modelle', AiModel::count())
                ->icon('heroicon-o-server')
                ->url(route('filament.admin.resources.ai-models.index')),
            Stat::make('Anzahl API-Provider', ApiProvider::count())
                ->icon('heroicon-o-cube')
                ->url(route('filament.admin.resources.api-providers.index')),
            Stat::make('Anzahl Styles', Style::count())
                ->icon('heroicon-o-sparkles')
                ->url(route('filament.admin.resources.styles.index')),
        ];
    }
}
